package com.yunzhi.marketing.xlk.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 帮我找房 
 * </p>
 *
 * @author jobob
 * @since 2021-05-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_search_house")
public class SearchHouseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 意向区域
     */
    private String intentArea;

    /**
     * 意向楼盘
     */
    private String intentBuilding;

    /**
     * 最小面积
     */
    private String minArea;

    /**
     * 最大面积
     */
    private String maxArea;

    /**
     * 最小户型
     */
    private String minHouseType;

    /**
     * 最大户型
     */
    private String maxHouseType;

    /**
     * 最小价格
     */
    private String minPrice;

    /**
     * 最大价格
     */
    private String maxPrice;

    /**
     * 备注
     */
    private String remark;
}
